/*
  name: blockdialog.h

  This file is part of ARCS - Augmented Reality Component System,
  written by Jean-Yves Didier, Vincent Le Ligeour and Yoann Petit
  for IBISC Laboratory (http://www.ibisc.univ-evry.fr)

  Copyright (C) 2004 Universit d'Evry-Val d'Essonne

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.


  Please send bugreports  with examples or suggestions to
  didier__at__iup.univ-evry.fr
*/


#ifndef __BLOCKDIALOG_H__
#define __BLOCKDIALOG_H__

#include <qdialog.h>
#include <qpushbutton.h>
#include <qlineedit.h>
#include <qlistbox.h>

class BlockDialog : public QDialog
{
Q_OBJECT

public:
BlockDialog(QWidget* parent=0, const char* name = 0);


void addItem(QString s) { lstBox->insertItem(s);lstBox->clearSelection(); }
QString getName() { return line->text(); }


private slots:
     void selectFile();
void acceptLine();

private:
QPushButton *ok,*cancel,*tripoint;
QLineEdit* line;
QListBox* lstBox;

};

#endif //__BLOCKDIALOG_H__
