/*
  name: metaeditor.cpp

  This file is part of ARCS - Augmented Reality Component System,
  written by Jean-Yves Didier, Vincent Le Ligeour and Yoann Petit
  for IBISC Laboratory (http://www.ibisc.univ-evry.fr)

  Copyright (C) 2004 Universit d'Evry-Val d'Essonne

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.


  Please send bugreports  with examples or suggestions to
  didier__at__iup.univ-evry.fr
*/


#include "mywidget.h"
#include <qapplication.h>
#include <qdir.h>
#include <iostream>
#include <string.h> 


int main( int argc, char **argv )
{
    QApplication a( argc, argv );

    if (argc > 1)
    {
	if (strcmp("-v", argv[1]) == 0)
        {
		std::cout << "MetaEditor $Rev: 199 $ " << std::endl;
		return 0;
	}
    }

    

    MyWidget w( 0, "MyWidget" );
    a.setMainWidget( &w );
    w.setCaption( "MetaEditor" );
    w.show();

    QString run(argv[1]);
    if ( argc > 1)
    {
	 if (QDir(argv[1]).isRelative())
	      run = QDir::currentDirPath() + QDir::separator() + run;

	 w.Import( run );
    }

    return a.exec();
}
