/*
  name: transitiondialog.h

  This file is part of ARCS - Augmented Reality Component System,
  written by Jean-Yves Didier, Vincent Le Ligeour and Yoann Petit
  for IBISC Laboratory (http://www.ibisc.univ-evry.fr)

  Copyright (C) 2004 Universit d'Evry-Val d'Essonne

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.


  Please send bugreports  with examples or suggestions to
  didier__at__iup.univ-evry.fr
*/


#ifndef __TRANSITIONDIALOG_H__
#define __TRANSITIONDIALOG_H__

#include <qdialog.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qcombobox.h>

class TransitionDialog : public QDialog 
{
Q_OBJECT
public:
      TransitionDialog( QWidget *parent, const char *name, QStringList ds, bool isSource, QString sourceEtat = 0);

      QString getStateName() { return liste->currentText(); }
      QString getToken() { return data->text(); }

public slots:
     void acceptObject();
signals:
     void transitionPossible(QString, QString, bool*);

private:
      QPushButton *ok;
      QPushButton *cancel;
      QLineEdit *data;
      QComboBox *liste;
      bool source;
      bool isInState;
};


#endif  // ADDTRANSITIONDIALOG_H
