/*
  name: interface.h

  This file is part of ARCS - Augmented Reality Component System,
  written by Jean-Yves Didier, Vincent Le Ligeour and Yoann Petit
  for IBISC Laboratory (http://www.ibisc.univ-evry.fr)

  Copyright (C) 2004 Universit d'Evry-Val d'Essonne

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.


  Please send bugreports  with examples or suggestions to
  didier__at__iup.univ-evry.fr
*/


#ifndef __INTERFACE_H__
#define __INTERFACE_H__

/*! \brief This a sample interface specifying the contract of the modified runtime.
 */
class InterfaceSample
{
public:
     /*! \brief 
      */
     virtual float getAngle() = 0; //!< Should return a rotation angle.
     virtual void uturn() = 0; //!< Inverts the turning direction.
     virtual void runSimulation() = 0; //!< Starts the runtime.
};

#endif //__INTERFACE_H__
